Package org.flowable.bpmn.model

# Class CompensateEventDefinition

java.lang.Object
org.flowable.bpmn.model.BaseElement
org.flowable.bpmn.model.EventDefinition
org.flowable.bpmn.model.CompensateEventDefinition

All Implemented Interfaces:
  `HasExtensionAttributes`

public class CompensateEventDefinition extends EventDefinition

Author:
  Tijs Rademakers

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `activityRef`
  `protected boolean`
  `waitForCompletion`

  ### Fields inherited from class org.flowable.bpmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CompensateEventDefinition()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CompensateEventDefinition`
  `clone()`
  `String`
  `getActivityRef()`
  `boolean`
  `isWaitForCompletion()`
  `void`
  `setActivityRef(String activityRef)`
  `void`
  `setValues(CompensateEventDefinition otherDefinition)`
  `void`
  `setWaitForCompletion(boolean waitForCompletion)`

  ### Methods inherited from class org.flowable.bpmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### activityRef

    protected String activityRef

  - ### waitForCompletion

    protected boolean waitForCompletion

- ## Constructor Details

  - ### CompensateEventDefinition

    public CompensateEventDefinition()

- ## Method Details

  - ### getActivityRef

    public String getActivityRef()

  - ### setActivityRef

    public void setActivityRef(String activityRef)

  - ### isWaitForCompletion

    public boolean isWaitForCompletion()

  - ### setWaitForCompletion

    public void setWaitForCompletion(boolean waitForCompletion)

  - ### clone

    public CompensateEventDefinition clone()
    Specified by:
      `clone` in class `EventDefinition`

  - ### setValues

    public void setValues(CompensateEventDefinition otherDefinition)